# H245_JitterIndication Class Reference

`#include <h245.h>`

Inheritance diagram for H245_JitterIndication:

List of all members.

## Public Types

enum | OptionalFields { e_skippedFrameCount, e_additionalDecoderBuffer }

## Public Member Functions

| H245_JitterIndication (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_JitterIndication_scope | m_scope
PASN_Integer | m_estimatedReceivedJitterMantissa
PASN_Integer | m_estimatedReceivedJitterExponent
PASN_Integer | m_skippedFrameCount
PASN_Integer | m_additionalDecoderBuffer

## Member Enumeration Documentation

enum H245_JitterIndication::OptionalFields

Enumerator:

  e_skippedFrameCount |
  e_additionalDecoderBuffer |

## Constructor & Destructor Documentation

H245_JitterIndication::H245_JitterIndication | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_JitterIndication::GetDataLength | ( |  | ) | const

PBoolean H245_JitterIndication::Decode | ( | PASN_Stream & | strm | ) |

void H245_JitterIndication::Encode | ( | PASN_Stream & | strm | ) | const

void H245_JitterIndication::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_JitterIndication::Compare | ( | const PObject & | obj | ) | const

PObject* H245_JitterIndication::Clone | ( |  | ) | const

## Member Data Documentation

H245_JitterIndication_scope H245_JitterIndication::m_scope

PASN_Integer H245_JitterIndication::m_estimatedReceivedJitterMantissa

PASN_Integer H245_JitterIndication::m_estimatedReceivedJitterExponent

PASN_Integer H245_JitterIndication::m_skippedFrameCount

PASN_Integer H245_JitterIndication::m_additionalDecoderBuffer

The documentation for this class was generated from the following file:

- h245.h